> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove suppression for a contact

> Remove suppression for a contact by email address or user ID.

## Request

### Query parameters

Remove suppression by email or user ID. Only one parameter is allowed.

<ParamField query="email" type="string">
  The contact's email address. Make sure it is
  [URI-encoded](https://en.wikipedia.org/wiki/Percent-encoding).
</ParamField>

<ParamField query="userId" type="string">
  The contact's unique user ID.
</ParamField>

## Response

### Success

<ResponseField name="success" type="boolean" required />

<ResponseField name="message" type="string" required>
  A message confirming suppression was removed.
</ResponseField>

<ResponseField name="removalQuota" type="object" required>
  <Expandable title="properties" defaultOpen={true}>
    <ResponseField name="limit" type="integer">
      The number of suppression removals you can request in a rolling 30 day period.
    </ResponseField>

    <ResponseField name="remaining" type="integer">
      The remaining number of suppression removals left in the current 30 day period.
    </ResponseField>
  </Expandable>
</ResponseField>

### Error

A `400 Bad Request` will be returned if there is an invalid request, the contact is not suppressed, or if you reach your removal quota.

If no contact is found, a `404 Not Found` will be returned.

<ResponseField name="success" type="boolean" required />

<ResponseField name="message" type="string" required>
  An error message describing the problem with the request.
</ResponseField>

<ResponseExample>
  ```json Response theme={"dark"}
  {
    "success": true,
    "message": "Email removed from suppression list.",
    "removalQuota": {
      "limit": 100,
      "remaining": 4
    }
  }
  ```

  ```json 400 response theme={"dark"}
  {
    "success": false,
    "message": "This contact is not suppressed."
  }
  ```

  ```json 404 response theme={"dark"}
  {
    "success": false,
    "message": "This contact was not found."
  }
  ```
</ResponseExample>
